#define EJUDGE

#include "testlib.h"
#include <iostream>
using namespace std;

int parseInt(string s) {
	int n = 0;
	for (int i = 0; i < (int) s.size(); ++i)
		n = n * 10 + (s[i] - '0');
	return n;
}

const int N = (int) 1e5;
int a[N], b[N], c[N], n;

void check(InStream in, TResult res) {
	for (int i = 0; i < n; ++i) {
		b[i] = in.readInt();
		if ((a[i] != -1) && (a[i] != b[i])) quitf(res, "Number %d differs from original", i);
	}
	sort(b, b + n);
	for (int i = 0; i < n; ++i)
		if (b[i] != c[i]) quitf(res, "Wrong number %d instead of %d (in sorted order!)", b[i], c[i]);
}

int main(int argc, char ** argv) {
	registerTestlibCmd(argc, argv);
	n = inf.readInt();
	for (int i = 0; i < n; ++i) {
		string tmp = inf.readToken();
		if (tmp != "?") a[i] = parseInt(tmp); else a[i] = -1;
	}
	string tmp = inf.readToken();
	for (int i = 0; i < n; ++i)
		c[i] = inf.readInt();
	check(ouf, _wa);
	check(ans, _fail);
	quitf(_ok, "ok %d numbers", n);
	return 0;
}